## gcc-avr 4.8-2.1

=== bug1/Makefile ===
CC	= avr-gcc
CPPFLAGS= -mmcu=attiny45

bootloader:

clean:
	rm -f bootloader

## gcc-avr 3.0.3-3

=== debian/changelog ===
gcc-avr (1:3.0.3-3) unstable; urgency=low

  * Removed som duplicated man pages
  * Renamed avr-linux to avr as we dont run linux on target
  * Recompiled with toolchain-source 3.0.3-3

 -- Hakan Ardo <hakan@debian.org>  Sat,  9 Feb 2002 15:50:16 +0100

gcc-avr (1:3.0.3-2) unstable; urgency=low

  * Now uses tar tjf (Bug #128550)
  * Removed som unecessery build constraints
  * Recompiled with toolchain-source 3.0.3-2

 -- Hakan Ardo <hakan@debian.org>  Thu, 10 Jan 2002 23:44:11 +0100

gcc-avr (1:3.0.3-1) unstable; urgency=low

  * gcc version no longer hardcoded in rules
  * Upstream update to 3.0.3
  * Updated Build-Depends on binutils

 -- Hakan Ardo <hakan@debian.org>  Tue,  8 Jan 2002 17:42:27 +0100

gcc-avr (3.0.ds9-7) unstable; urgency=low

  * Removed dependency on graphviz and updated version number of
    toolchain-source (Bug #108902)

 -- Hakan Ardo <hakan@debian.org>  Sun, 19 Aug 2001 22:12:10 +0200

gcc-avr (3.0.ds9-6) unstable; urgency=low

  * Dummy release to get pkg back in distribution (Bug #106872)

 -- Hakan Ardo <hakan@debian.org>  Wed,  8 Aug 2001 18:21:53 +0200

gcc-avr (3.0.ds9-5) unstable; urgency=low

  * .deb file no longer in src pkg
  * Now build-depends on toolchain-source instaed of using apt-get 
    (Bug #105847)

 -- Hakan Ardo <hakan@debian.org>  Thu, 26 Jul 2001 13:09:26 +0200

gcc-avr (3.0.ds9-4) unstable; urgency=low

  * Initial Release

 -- Hakan Ardo <hakan@debian.org>  Mon,  2 Jul 2001 22:45:33 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gcc-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.5.3
Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.11.92.0.12.3-3), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 2.0.50), toolchain-source (=3.0.3-3), tar (>= 1.13.18)
Build-Depends-Indep: sharutils, debhelper (>= 2.0.50)
Build-Conflicts: libgcc0, libgcc300

Package: gcc-avr
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends}, binutils-avr (>= 2.10.1)
Suggests: task-c-devel
Provides: c-compiler-avr
Recommends: avr-libc (>= 20010708-3)
Suggests: gcc-doc (>= 1:3.0-3)
Description: The GNU C compiler (cross compiler for avr).
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

TARGET=avr
PACKAGE=gcc-avr

DEB_BUILD_GNU_TYPE      := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE       := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)


CONFARGS = -v \
        --enable-languages=c \
        --prefix=/usr \
        --infodir=/usr/share/info \
        --mandir=/usr/share/man \
        --enable-shared \
        --with-gnu-as \
        --with-gnu-ld \
        --with-system-zlib \
        --enable-long-long \
        --enable-nls \
        --without-included-gettext \
        --disable-checking \
        --build=$(DEB_BUILD_GNU_TYPE) \
        --host=$(DEB_HOST_GNU_TYPE) \
        --target=$(TARGET)

patch_stamp=patch-stamp
srcdir=src
include /usr/src/toolchain/patches/gcc/rules.patch

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

unpack: unpack-stamp
unpack-stamp:
	tar xjf /usr/src/toolchain/gcc.tar.bz2
	mv gcc-* src
	mkdir build

	touch unpack-stamp

configure: configure-stamp
configure-stamp: unpack-stamp patch-stamp
	dh_testdir
	# Add here commands to configure the package.
	cd build && env CC="gcc" ../src/configure $(CONFARGS) 
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	cd build && $(MAKE)
	#/usr/bin/docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp unpack-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm -rf src build patch-stamp*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	cd build && $(MAKE) install \
            prefix=$(CURDIR)/debian/$(PACKAGE)/usr \
            infodir=$(CURDIR)/debian/$(PACKAGE)/usr/share/info \
            mandir=$(CURDIR)/debian/$(PACKAGE)/usr/share/man 
	mv debian/$(PACKAGE)/usr/share/man/man1/cpp.1 \
     debian/$(PACKAGE)/usr/share/man/man1/$(TARGET)-cpp.1
	cd debian/$(PACKAGE)/usr/ && \
     rm -rf bin/gcov bin/gccbug share/man/man1/gcov.1 \
            lib/libiberty.a share/info share/man/man7/gfdl.7.gz \
            share/man/man7/gpl.7.gz share/man/man7/fsf-funding.7.gz

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gcc-avr 3.4.0-1

=== debian/changelog ===
gcc-avr (1:3.4.0-1) unstable; urgency=low

  * Upstream release (closes: #241835)

 -- Hakan Ardo <hakan@debian.org>  Sat, 15 May 2004 17:19:35 +0200

gcc-avr (1:3.3.2-1) unstable; urgency=low

  * Upstream update (closes: #160051)
  * Readded Build-Depends on toolchain-source (closes: #207189, #207493)
  * Updated copyright

 -- Hakan Ardo <hakan@debian.org>  Mon, 29 Mar 2004 14:58:18 +0200

gcc-avr (1:3.2.90.20030512) unstable; urgency=low

  * Updated to 030512 snapshot
  * Now contains src tar balls
  * Now uses packhed dbs
  * Updated build-depend on binutils-avr

 -- Hakan Ardo <hakan@debian.org>  Wed, 25 Jun 2003 21:04:42 +0200

gcc-avr (1:3.2.3.cvs20030221-3) unstable; urgency=low

  * Now builddepends on automake1.4 (closes: #184760)

 -- Hakan Ardo <hakan@debian.org>  Sun, 16 Mar 2003 11:51:41 +0100

gcc-avr (1:3.2.3.cvs20030221-2) unstable; urgency=low

  * libgcc.a was messed up by dh_strip (closes: #183062)
  * Recompiled with toolchain-source 3.2-7

 -- Hakan Ardo <hakan@debian.org>  Tue, 11 Mar 2003 16:07:30 +0100

gcc-avr (1:3.2.3.cvs20030221-1) unstable; urgency=low

  * New upstream release (3.2.3.cvs20030221)

 -- Hakan Ardo <hakan@debian.org>  Wed, 26 Feb 2003 12:24:51 +0100

gcc-avr (1:3.2-3) unstable; urgency=low

  * Recompiled with toolchain-source 3.2-3

 -- Hakan Ardo <hakan@debian.org>  Thu,  7 Nov 2002 22:53:11 +0100

gcc-avr (1:3.2-2) unstable; urgency=low

  * Relaxed dependency on native pkg and added README.debian describing
    the case (closes: #161060)
  * Recompiled with toolchain-source 3.2-2

 -- Hakan Ardo <hakan@debian.org>  Fri, 18 Oct 2002 09:41:32 +0200

gcc-avr (1:3.2-1) unstable; urgency=low

  * New upstream release (3.2)

 -- Hakan Ardo <hakan@debian.org>  Sun, 18 Aug 2002 16:38:47 +0200

gcc-avr (1:3.1.1-1) unstable; urgency=low

  * New upstream release (3.1.1)

 -- Hakan Ardo <hakan@debian.org>  Fri,  2 Aug 2002 16:15:39 +0200

gcc-avr (1:3.1-3) unstable; urgency=low

  * Recompiled with toolchain-source 3.1-3 (closes: #142646)

 -- Hakan Ardo <hakan@debian.org>  Sat,  6 Jul 2002 17:13:27 +0200

gcc-avr (1:3.1-2) unstable; urgency=low

  * Recompiled with toolchain-source 3.1-2 (closes: #148778)

 -- Hakan Ardo <hakan@debian.org>  Fri,  5 Jul 2002 09:51:20 +0200

gcc-avr (1:3.1-1) unstable; urgency=low

  * New upstream release (3.1)

 -- Hakan Ardo <hakan@debian.org>  Fri, 31 May 2002 13:57:13 +0200

gcc-avr (1:3.0.4-4) unstable; urgency=low

  * Recompiled with toolchain-source 3.0.4-5 (closes: #143172)

 -- Hakan Ardo <hakan@debian.org>  Thu,  2 May 2002 15:48:16 +0200

gcc-avr (1:3.0.4-3) unstable; urgency=low

  * Recompiled with toolchain-source 3.0.4-4

 -- Hakan Ardo <hakan@debian.org>  Mon,  8 Apr 2002 11:57:54 +0200

gcc-avr (1:3.0.4-2) unstable; urgency=low

  * Recompiled with toolchain-source 3.0.4-3

 -- Hakan Ardo <hakan@debian.org>  Sat, 30 Mar 2002 12:42:19 +0100

gcc-avr (1:3.0.4-1) unstable; urgency=low

  * New upstream release (3.0.4)
  * Fixed man file removal (closes: #137586)

 -- Hakan Ardo <hakan@debian.org>  Mon, 11 Mar 2002 15:18:57 +0100

=== debian/control ===
Source: gcc-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.5.3
Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.13.90.1.030512), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.4, dbs (>=0.22), toolchain-source 
Build-Conflicts: libgcc0, libgcc300

Package: gcc-avr
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends}, binutils-avr (>= 2.10.1)
Suggests: task-c-devel
Provides: c-compiler-avr
Recommends: avr-libc (>= 20010708-3)
Suggests: gcc-doc (>= 1:3.0-3), gcc-3.2
Description: The GNU C compiler (cross compiler for avr).
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

TARGET=avr
TARGET_ARCH=avr
PACKAGE=gcc-avr

ifeq (,$(DEB_BUILD_GNU_TYPE))
  include /usr/share/dbs/dpkg-arch.mk
endif

CONFARGS = -v \
        --enable-languages=c,c++ \
        --prefix=/usr \
        --infodir=/usr/share/info \
        --mandir=/usr/share/man \
        --enable-shared \
	--with-as=/usr/avr/bin/as \
        --with-gnu-as \
	--with-ld=/usr/avr/bin/ld \
        --with-gnu-ld \
        --with-system-zlib \
        --enable-long-long \
        --enable-nls \
        --without-included-gettext \
        --disable-checking \
        --build=$(DEB_BUILD_GNU_TYPE) \
        --host=$(DEB_HOST_GNU_TYPE) \
        --target=$(TARGET) 

srcdir=src

# Patches
#patch_stamp=patch-stamp
#debian_patches = gcc_avr_fixed_reg
#include /usr/src/toolchain/patches/gcc/rules.patch

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

TAR_DIR=gcc-*
include /usr/share/dbs/dbs-build.mk

#unpack: unpack-stamp
#unpack-stamp:
#	tar xjf /usr/src/toolchain/gcc.tar.bz2
#	mv gcc-* src
#	mkdir build
#
#	touch unpack-stamp

configure: configure-stamp
configure-stamp: $(patched)
	dh_testdir
	# Add here commands to configure the package.
	cd $(BUILD_TREE) && env CC="gcc" ./configure $(CONFARGS) 
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp: $(patched)
	dh_testdir

	# Add here commands to compile the package.
	cd $(BUILD_TREE) && $(MAKE)
	#/usr/bin/docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm -rf $(STAMP_DIR) $(SOURCE_DIR)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	cd build-tree/*/ && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)/

	rm debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1
	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1.gz
	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-c++.1.gz
	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gcc-3.4.0.1.gz
	ln -s gccbug.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1.gz
	cd debian/$(PACKAGE)/usr/ && \
	/usr/src/toolchain/scripts/tpkg-gcc-rm-common-files

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -n
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
	dh_undocumented avr-gccbug.1 avr-gcov.1
	dh_installchangelogs 
	dh_link
	dh_strip -Xlibgcc.a
	avr-strip --strip-debug `find debian/gcc-avr/ -name libgcc.a`
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gcc-avr 4.1.0-1

=== debian/changelog ===
gcc-avr (1:4.1.0-1) unstable; urgency=low

  * Upstream release
  * Removed debian/rules.old
  * Now suggests gcc-4.1 instead (closes: #353267)

 -- Hakan Ardo <hakan@debian.org>  Mon,  1 May 2006 11:27:41 +0200

gcc-avr (1:4.0.2-1) unstable; urgency=low

  * New upstream release
  * Added missing avr-gccbug man page (closes: #321221)
  * Removed duplicated Suggests fields from control

 -- Hakan Ardo <hakan@debian.org>  Sat,  4 Feb 2006 17:39:37 +0100

gcc-avr (1:3.4.3-2) unstable; urgency=low

  * Rebuilt with new binutils adding support for atmega48, atmega88,
    atmega168, attiny13, attiny2313 and at90can128.

 -- Hakan Ardo <hakan@debian.org>  Sun, 27 Feb 2005 18:26:55 +0100

gcc-avr (1:3.4.3-1) unstable; urgency=low

  * New upstream release
  * Applied patch from Theodore A. Roth enabling new avr devices,
    including at90can128
  * No longer released as native package (closes: #270421)
  * Added info to README.debian on how to compile nesC/TinyOS
  * Removed --with-as=/usr/avr/bin/as from configure, which overrided -B
    (closes: #275995)

 -- Hakan Ardo <hakan@debian.org>  Sun, 26 Dec 2004 15:48:13 +0100

gcc-avr (1:3.4.1-1) unstable; urgency=low

  * Upstream update
  * All cross libs now striped with avr-strip (closes: #264686)

 -- Hakan Ardo <hakan@debian.org>  Wed, 11 Aug 2004 20:33:26 +0200

=== debian/control ===
Source: gcc-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.5.3
Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.13.90.1.030512), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.22)
Build-Conflicts: libgcc0, libgcc300

Package: gcc-avr
Architecture: any
Section: devel
Priority: extra
Conflicts: avr-libc(<=1:1.2.3-3)
Depends: ${shlibs:Depends}, binutils-avr (>= 2.16.1-1)
Provides: c-compiler-avr
Suggests: task-c-devel, gcc-doc (>= 4:4.0.2-1), gcc-4.1	
Description: The GNU C compiler (cross compiler for avr)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.

=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,12 @@
         --infodir=/usr/share/info \
         --mandir=/usr/share/man \
         --enable-shared \
-	--with-as=/usr/avr/bin/as \
-        --with-gnu-as \
-	--with-ld=/usr/avr/bin/ld \
-        --with-gnu-ld \
         --with-system-zlib \
         --enable-long-long \
         --enable-nls \
         --without-included-gettext \
         --disable-checking \
+	--disable-libssp \
         --build=$(DEB_BUILD_GNU_TYPE) \
         --host=$(DEB_HOST_GNU_TYPE) \
         --target=$(TARGET) 
@@ -40,7 +37,7 @@
 export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 TAR_DIR=gcc-*
 include /usr/share/dbs/dbs-build.mk
@@ -56,8 +53,9 @@
 configure: configure-stamp
 configure-stamp: $(patched)
 	dh_testdir
+	mkdir objdir
 	# Add here commands to configure the package.
-	cd $(BUILD_TREE) && env CC="gcc" ./configure $(CONFARGS) 
+	cd objdir && env CC="gcc" ../$(BUILD_TREE)/configure $(CONFARGS) 
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -65,7 +63,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd $(BUILD_TREE) && $(MAKE)
+	cd objdir && $(MAKE)
 	#/usr/bin/docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1
 
 	touch build-stamp
@@ -73,11 +71,11 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp configure-stamp 
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
+	rm -rf $(STAMP_DIR) $(SOURCE_DIR) objdir
 
 	dh_clean
 
@@ -88,15 +86,20 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/$(PACKAGE).
-	cd build-tree/*/ && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)/
+	cd objdir && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)/
 
-	rm debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1
-	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1.gz
-	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-c++.1.gz
-	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gcc-3.4.0.1.gz
-	ln -s gccbug.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1.gz
+	#rm debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1
+	#ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1.gz
+	ln -s avr-g++.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-c++.1.gz
+	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gcc-4.0.2.1.gz
+	install -m644 debian/avr-gccbug.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1
+	gzip -9 debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1
+	
 	cd debian/$(PACKAGE)/usr/ && \
-	/usr/src/toolchain/scripts/tpkg-gcc-rm-common-files
+	rm -rf bin/gcov bin/gccbug share/man/man1/gcov.1* \
+	lib/libiberty.a share/info share/man/man7/gfdl.7* \
+	share/man/man7/gpl.7* share/man/man7/fsf-funding.7* \
+	share/locale bin/*c++filt
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -121,9 +124,14 @@
 	dh_undocumented avr-gccbug.1 avr-gcov.1
 	dh_installchangelogs 
 	dh_link
-	dh_strip -Xlibgcc.a
-	avr-strip --strip-debug `find debian/gcc-avr/ -name libgcc.a`
-	dh_compress
+	dh_strip -X.so -X.a -X.o
+	for f in `find debian/$(PACKAGE) -name '*.so*'`; do \
+	  avr-strip --remove-section=.comment --remove-section=.note --strip-unneeded $$f; \
+	done
+	for f in `find debian/$(PACKAGE) -name '*.a*'`; do \
+	  avr-strip --strip-debug $$f; \
+	done
+	dh_compress 
 	dh_fixperms
 #	dh_makeshlibs
 	dh_installdeb

## gcc-avr 4.1.0.dfsg.1-1

=== debian/changelog ===
gcc-avr (1:4.1.0.dfsg.1-1) unstable; urgency=low

  [ Frank Küster ]
  * Add a makefile snippet to remove files from the tarballs that are
    under GFDL and contain invariant sections.  Thanks to Matthias Klose
    for the list of files
  * Let the clean target depend on the repack-gfdl target, and do the
    cleaning (closes: #413216)

  [ Hakan Ardo ]
  * Applied patch from Frank above
  * Removed info files now recreated as empty files to allow compilation
    as sugested by Matthias Klose
  * Removed clean's dependency on repack-gfdl

 -- Hakan Ardo <hakan@debian.org>  Mon, 19 Mar 2007 18:48:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,7 @@
 
 TAR_DIR=gcc-*
 include /usr/share/dbs/dbs-build.mk
+include debian/rules-gfdlstuff.mk
 
 #unpack: unpack-stamp
 #unpack-stamp:
@@ -53,9 +54,18 @@
 configure: configure-stamp
 configure-stamp: $(patched)
 	dh_testdir
+	rm -f $(BUILD_TREE)/gcc/doc/*.1
+	rm -f $(BUILD_TREE)/gcc/doc/*.info
+	for i in $(gfdl_texinfo_files); do \
+	  cp debian/dummy.texi `echo $(BUILD_TREE)`/$$i; \
+	done
+	for i in $(gfdl_toplevel_texinfo_files); do \
+	  n=$$(basename $$i .texi); \
+	  sed "s/@name@/$$n/g" debian/gcc-dummy.texi > `echo $(BUILD_TREE)`/$$i; \
+	done
 	mkdir objdir
 	# Add here commands to configure the package.
-	cd objdir && env CC="gcc" ../$(BUILD_TREE)/configure $(CONFARGS) 
+	cd objdir && env CC="gcc" `echo ../$(BUILD_TREE)`/configure $(CONFARGS) 
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -68,7 +78,7 @@
 
 	touch build-stamp
 
-clean:
+clean: #repack-gfdl
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp 
@@ -94,7 +104,7 @@
 	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gcc-4.0.2.1.gz
 	install -m644 debian/avr-gccbug.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1
 	gzip -9 debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1
-	
+
 	cd debian/$(PACKAGE)/usr/ && \
 	rm -rf bin/gcov bin/gccbug share/man/man1/gcov.1* \
 	lib/libiberty.a share/info share/man/man7/gfdl.7* \

## gcc-avr 4.2.1-1

=== debian/changelog ===
gcc-avr (1:4.2.1-1) unstable; urgency=low

  * New upstream release (includes newdevices patch from freeBSD) (closes: #420061)
  * Now uses unpack rules from gcc-source package (closes: #421142)
  * Applied binary constants patch (closes: #426940)

 -- Hakan Ardo <hakan@debian.org>  Thu,  9 Aug 2007 09:04:11 +0200

gcc-avr (1:4.1.2-1) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Mon, 30 Apr 2007 10:46:13 +0200

gcc-avr (1:4.1.1-1) unstable; urgency=low

  * New upstream release (closes: #415917)
  * Now uses gcc-4.1-source (closes: #413214)

 -- Hakan Ardo <hakan@debian.org>  Sun, 22 Apr 2007 17:17:59 +0200

=== debian/control ===
Source: gcc-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.5.3
Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.17), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.2-source
Build-Conflicts: libgcc0, libgcc300

Package: gcc-avr
Architecture: any
Section: devel
Priority: extra
Conflicts: avr-libc(<=1:1.2.3-3)
Depends: ${shlibs:Depends}, binutils-avr (>= 2.16.1-1)
Provides: c-compiler-avr
Suggests: task-c-devel, gcc-doc (>= 4:4.0.2-1), gcc-4.2	
Description: The GNU C compiler (cross compiler for avr)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.

## gcc-avr 4.2.2-1

=== debian/changelog ===
gcc-avr (1:4.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Hakan Ardo <hakan@debian.org>  Sat, 15 Dec 2007 16:39:42 +0100

gcc-avr (1:4.2.1-2) unstable; urgency=low

  * Recompiled with new binutils

 -- Hakan Ardo <hakan@debian.org>  Tue, 14 Aug 2007 18:12:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.5.3
-Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.17), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.2-source
+Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.18), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.2-source(>=4.2.1-2)
 Build-Conflicts: libgcc0, libgcc300
 
 Package: gcc-avr

=== debian/rules ===
--- 
+++ 
@@ -40,8 +40,9 @@
 export DH_COMPAT=4
 
 TAR_DIR=gcc-*
-include /usr/share/dbs/dbs-build.mk
-include debian/rules-gfdlstuff.mk
+#include /usr/share/dbs/dbs-build.mk
+include /usr/src/gcc-4.2/rules.source
+#include debian/rules-gfdlstuff.mk
 
 #unpack: unpack-stamp
 #unpack-stamp:
@@ -51,25 +52,34 @@
 #
 #	touch unpack-stamp
 
+BUILD_TREE=src
+
+patched-stamp:=$(STAMP_DIR)/patched-stamp
+
+patch-stamp:
+	cd $(BUILD_TREE) && patch -p0 < ../debian/patches/patch-0b-with-testsuite.diff
+	touch patch-stamp
+
 configure: configure-stamp
-configure-stamp: $(patched)
+#configure-stamp: $(patched)
+configure-stamp: $(unpack_stamp) patch-stamp
 	dh_testdir
 	rm -f $(BUILD_TREE)/gcc/doc/*.1
 	rm -f $(BUILD_TREE)/gcc/doc/*.info
-	for i in $(gfdl_texinfo_files); do \
-	  cp debian/dummy.texi `echo $(BUILD_TREE)`/$$i; \
-	done
-	for i in $(gfdl_toplevel_texinfo_files); do \
-	  n=$$(basename $$i .texi); \
-	  sed "s/@name@/$$n/g" debian/gcc-dummy.texi > `echo $(BUILD_TREE)`/$$i; \
-	done
-	mkdir objdir
+	#for i in $(gfdl_texinfo_files); do \
+	#  cp debian/dummy.texi `echo $(BUILD_TREE)`/$$i; \
+	#done
+	#for i in $(gfdl_toplevel_texinfo_files); do \
+	#  n=$$(basename $$i .texi); \
+	#  sed "s/@name@/$$n/g" debian/gcc-dummy.texi > `echo $(BUILD_TREE)`/$$i; \
+	#done
+	mkdir -p objdir
 	# Add here commands to configure the package.
 	cd objdir && env CC="gcc" `echo ../$(BUILD_TREE)`/configure $(CONFARGS) 
 	touch configure-stamp
 
 build: configure-stamp build-stamp
-build-stamp: $(patched)
+build-stamp: patch-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -78,14 +88,15 @@
 
 	touch build-stamp
 
-clean: #repack-gfdl
+clean: clean-source
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp 
+	rm -f build-stamp configure-stamp patch-stamp
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	rm -rf $(STAMP_DIR) $(SOURCE_DIR) objdir
+	#rm -rf $(STAMP_DIR) $(SOURCE_DIR) objdir
+	rm -rf objdir
 
 	dh_clean
 
@@ -96,6 +107,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/$(PACKAGE).
+	echo install: > objdir/fixincludes/Makefile
 	cd objdir && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)/
 
 	#rm debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1

## gcc-avr 4.3.0-4

=== debian/changelog ===
gcc-avr (1:4.3.0-4) unstable; urgency=low

  * No longer applies 40-8-gcc-4.3.0-bug-35519 and
    41-1-gcc-4.3.0-bug-leaf as the src provided
    by gcc-4.3-source 4.3.1-6 already has this patch applied (closes:
    #490310)

 -- Hakan Ardo <hakan@debian.org>  Mon, 21 Jul 2008 18:22:33 +0200

gcc-avr (1:4.3.0-3) unstable; urgency=low

  * Revered to an unpatched 4.3.0 release
  * Applied WinAVR-20080610 from patches/gcc/4.3.0/ in cvs server
    anonymous@winavr.cvs.sourceforge.net:/cvsroot/winavr with tag
    WinAVR-20080610:
      20-gcc-4.3.0-libiberty-Makefile.in.patch
      21-gcc-4.3.0-disable-libssp.patch
      40-0-gcc-4.3.0-bug-10768.patch
      40-1-gcc-4.3.0-bug-30243.patch
      40-2-gcc-4.3.0-bug-11259_v3.patch
      40-3-gcc-4.3.0-bug-spill3.patch
      40-4-gcc-4.3.0-bug-35013.patch
      40-6-gcc-4.3.0-libgcc16.patch
      40-7-gcc-4.3.0-bug-33009.patch
      40-8-gcc-4.3.0-bug-35519.patch
      40-9-gcc-4.3.0-bug-35542.patch
      41-0-gcc-4.3.0-bug-34932.patch
      41-1-gcc-4.3.0-bug-leaf.patch
      50-gcc-4.3.0-mega256.patch
      51-gcc-4.3.0-xmega-v9.patch
      52-gcc-4.3.0-atmega32m1.patch
      53-gcc-4.3.0-atmega32c1.patch
      54-gcc-4.3.0-atmega32u4.patch
      55-gcc-4.3.0-attiny167.patch
      56-gcc-4.3.0-remove-atmega32hvb.patch
      60-gcc-4.3.0-ada-xgnatugn.patch
      61-gcc-4.3.0-osmain.patch

 -- Hakan Ardo <hakan@debian.org>  Wed, 02 Jul 2008 11:01:26 +0200

gcc-avr (1:4.3.0-2) unstable; urgency=low

  * libiberty.a now removed for X86_64 arch aswell (closes: #474674)

 -- Hakan Ardo <hakan@debian.org>  Mon, 07 Apr 2008 16:36:22 +0200

gcc-avr (1:4.3.0-1) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Fri, 04 Apr 2008 11:37:41 +0200

gcc-avr (1:4.2.3-1) unstable; urgency=low

  * Moved /usr/libexec/gcc/ to /usr/lib/gcc/ (closes: #457213)
  * Fixed 0b patch to handle dsfg free docs (closes: #464260)
  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Thu, 07 Feb 2008 15:00:49 +0100

=== debian/control ===
Source: gcc-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.5.3
Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.18-4), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.3-source(>=4.3.1-6), libmpfr-dev
Build-Conflicts: libgcc0, libgcc300

Package: gcc-avr
Architecture: any
Section: devel
Priority: extra
Conflicts: avr-libc(<=1:1.6.2-1)
Depends: ${shlibs:Depends}, binutils-avr (>= 2.18-4)
Provides: c-compiler-avr
Suggests: task-c-devel, gcc-doc (>= 4:4.0.2-1), gcc-4.2, avr-libc(>=1:1.6.2-2)
Description: The GNU C compiler (cross compiler for avr)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.

## gcc-avr 4.3.2-1

=== debian/changelog ===
gcc-avr (1:4.3.2-1) unstable; urgency=low

  * Removed patches 40-1-gcc-4.3.0-bug-30243, 41-0-gcc-4.3.0-bug-34932
    and 40-9-gcc-4.3.0-bug-35542 as they has been incoporated
    upstream in the code provided by gcc-4.3-source 4.3.2-1 (closes: 
    #501424).

 -- Hakan Ardo <hakan@debian.org>  Sat, 11 Oct 2008 09:07:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.5.3
-Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.18-4), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.3-source(>=4.3.1-6), libmpfr-dev
+Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.18-4), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.3-source(>=4.3.2-1), libmpfr-dev
 Build-Conflicts: libgcc0, libgcc300
 
 Package: gcc-avr

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,12 @@
 
 CONFARGS = -v \
         --enable-languages=c,c++ \
-        --prefix=/usr \
+        --prefix=/usr/lib \
         --infodir=/usr/share/info \
         --mandir=/usr/share/man \
+	--bindir=/usr/bin \
+	--libexecdir=/usr/lib \
+	--libdir=/usr/lib \
         --enable-shared \
         --with-system-zlib \
         --enable-long-long \
@@ -24,7 +27,8 @@
 	--disable-libssp \
         --build=$(DEB_BUILD_GNU_TYPE) \
         --host=$(DEB_HOST_GNU_TYPE) \
-        --target=$(TARGET) 
+        --target=$(TARGET) \
+
 
 srcdir=src
 
@@ -41,7 +45,7 @@
 
 TAR_DIR=gcc-*
 #include /usr/share/dbs/dbs-build.mk
-include /usr/src/gcc-4.2/rules.source
+include /usr/src/gcc-4.3/rules.source
 #include debian/rules-gfdlstuff.mk
 
 #unpack: unpack-stamp
@@ -57,7 +61,9 @@
 patched-stamp:=$(STAMP_DIR)/patched-stamp
 
 patch-stamp:
-	cd $(BUILD_TREE) && patch -p0 < ../debian/patches/patch-0b-with-testsuite.diff
+#	cd $(BUILD_TREE) && patch -p0 < ../debian/patches/patch-0b-with-testsuite.diff
+#	cd $(BUILD_TREE) && patch -p0 < ../debian/patches/patch-avr6.diff
+	cd $(BUILD_TREE) && for p in ../debian/patches/*.patch; do echo Applying $$p; patch -p0 < $$p; done
 	touch patch-stamp
 
 configure: configure-stamp
@@ -113,15 +119,16 @@
 	#rm debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1
 	#ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1.gz
 	ln -s avr-g++.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-c++.1.gz
-	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gcc-4.0.2.1.gz
+	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gcc-4.3.0.gz
 	install -m644 debian/avr-gccbug.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1
 	gzip -9 debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1
 
 	cd debian/$(PACKAGE)/usr/ && \
 	rm -rf bin/gcov bin/gccbug share/man/man1/gcov.1* \
-	lib/libiberty.a share/info share/man/man7/gfdl.7* \
+	lib*/libiberty.a share/info share/man/man7/gfdl.7* \
 	share/man/man7/gpl.7* share/man/man7/fsf-funding.7* \
-	share/locale bin/*c++filt
+	share/locale bin/*c++filt lib/avr \
+	share/man lib/share lib/include
 
 # Build architecture-independent files here.
 binary-indep: build install

## gcc-avr 4.3.3-1

=== debian/changelog ===
gcc-avr (1:4.3.3-1) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sun, 25 Jan 2009 16:10:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.5.3
-Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.18-4), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.3-source(>=4.3.2-1), libmpfr-dev
+Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.18-4), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.3-source(>=4.3.3-1), libmpfr-dev
 Build-Conflicts: libgcc0, libgcc300
 
 Package: gcc-avr

## gcc-avr 4.3.4-1

=== debian/changelog ===
gcc-avr (1:4.3.4-1) unstable; urgency=low

  * New upstream release (closes: #543016, #491399)
  * Applied patches from 
    http://www.freebsd.org/cgi/cvsweb.cgi/ports/devel/avr-gcc/files/:
        patch-avr-libgcc.S (rev 1.1)
        patch-newdevices (rev 1.20)
        patch-xmega (rev 1.2)
        patch-xx-os_main (rev 1.1)
        patch-bug19636-24894-31644-31786 (rev 1.1)
        patch-bug33009 (rev 1.1)
        patch-bug34210-35508 (rev 1.1)
        patch-bug35013 (rev 1.1)


 -- Hakan Ardo <hakan@debian.org>  Sat, 31 Oct 2009 11:01:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.5.3
-Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.18-4), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.3-source(>=4.3.3-1), libmpfr-dev
+Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.20), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.3-source(>=4.3.4), libmpfr-dev
 Build-Conflicts: libgcc0, libgcc300
 
 Package: gcc-avr

=== debian/rules ===
--- 
+++ 
@@ -40,9 +40,6 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=4
-
 TAR_DIR=gcc-*
 #include /usr/share/dbs/dbs-build.mk
 include /usr/src/gcc-4.3/rules.source
@@ -63,7 +60,7 @@
 patch-stamp:
 #	cd $(BUILD_TREE) && patch -p0 < ../debian/patches/patch-0b-with-testsuite.diff
 #	cd $(BUILD_TREE) && patch -p0 < ../debian/patches/patch-avr6.diff
-	cd $(BUILD_TREE) && for p in ../debian/patches/*.patch; do echo Applying $$p; patch -p0 < $$p; done
+	cd $(BUILD_TREE) && for p in `cat ../debian/patchlist`; do echo Applying $$p; patch -p0 < ../debian/$$p; done
 	touch patch-stamp
 
 configure: configure-stamp

## gcc-avr 4.3.5-1

=== debian/changelog ===
gcc-avr (1:4.3.5-1) unstable; urgency=low

  * New upstream release
  * Removed build-depedns on dbs (closes: #576067)
  * Updated the patch-set from
    http://www.freebsd.org/cgi/cvsweb.cgi/ports/devel/avr-gcc/files/:
         patch-avr-libgcc.S
         patch-newdevices 
         patch-xmega 
         patch-xx-os_main 
         patch-bug19636-24894-31644-31786 
         patch-bug33009 
         patch-bug34210-35508 
         patch-bug35013 
         patch-bug11259
         patch-bug18145
         patch-builtins
         patch-disable-ssp
         patch-param-inline-call-cost

	

 -- Hakan Ardo <hakan@debian.org>  Fri, 30 Jul 2010 09:59:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.5.3
-Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.20), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, dbs (>=0.43), gcc-4.3-source(>=4.3.4), libmpfr-dev
+Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.20.1), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, gcc-4.3-source(>=4.3.5), libmpfr-dev
 Build-Conflicts: libgcc0, libgcc300
 
 Package: gcc-avr

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 TARGET_ARCH=avr
 PACKAGE=gcc-avr
 
-ifeq (,$(DEB_BUILD_GNU_TYPE))
-  include /usr/share/dbs/dpkg-arch.mk
-endif
+#ifeq (,$(DEB_BUILD_GNU_TYPE))
+#  include /usr/share/dbs/dpkg-arch.mk
+#endif
 
 CONFARGS = -v \
         --enable-languages=c,c++ \
@@ -125,7 +125,7 @@
 	lib*/libiberty.a share/info share/man/man7/gfdl.7* \
 	share/man/man7/gpl.7* share/man/man7/fsf-funding.7* \
 	share/locale bin/*c++filt lib/avr \
-	share/man lib/share lib/include
+	share/man lib/share lib/include 
 
 # Build architecture-independent files here.
 binary-indep: build install

## gcc-avr 4.5.3-1

=== debian/changelog ===
gcc-avr (1:4.5.3-1) unstable; urgency=low

  * New upstream release (closes: #550985, #594279, #629734)
  * Replaced the patch-set with the patch-set provided by Atmel at
    http://distribute.atmel.no/tools/opensource/avr-gcc/gcc-4.5.1/
         30-gcc-4.5.1-fixedpoint-3-4-2010.patch
         31-gcc-4.5.1-xmega-v14.patch
         32-gcc-4.5.1-avrtiny10.patch
         33-gcc-4.5.1-osmain.patch
         34-gcc-4.5.1-builtins-v6.patch
         35-gcc-4.5.1-avrtiny10-non-fixedpoint.patch
         37-gcc-4.5.1-option-list-devices.patch
         38-gcc-4.5.1-bug13473.patch
         39-gcc-4.5.1-bug13579.patch
         40-gcc-4.5.1-bug-18145-v4.patch
         41-gcc-4.5.1-avrtiny10-bug-12510.patch
         42-gcc-4.5.1-bug12915.patch
         43-gcc-4.5.1-bug13932.patch
         44-gcc-4.5.1-bug13789.patch
         50-gcc-4.5.1-new-devices.patch
         51-gcc-4.5.1-atmega32_5_50_90_pa.patch
         54-gcc-4.5.1-attiny1634.patch
         56-gcc-4.5.1-atmega48pa.patch

 -- Hakan Ardo <hakan@debian.org>  Sat, 09 Jul 2011 19:26:28 +0200

## gcc-avr 4.5.3-2

=== debian/changelog ===
gcc-avr (1:4.5.3-2) unstable; urgency=low

  * Added 57-ctors-dtors-patch.diff patch that fixes GCC bug 45263. It
    was ported from gcc cvs by Francois Lorrain
    <francois.lorrain@gmail.com> and confirmed by Changwoo Ryu
    <cwryu@debian.org> (closes: #634341)

 -- Hakan Ardo <hakan@debian.org>  Thu, 11 Aug 2011 18:50:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,22 @@
 export DH_VERBOSE=1
 
 TAR_DIR=gcc-*
-#include /usr/share/dbs/dbs-build.mk
-include /usr/src/gcc-4.3/rules.source
-#include debian/rules-gfdlstuff.mk
+
+SOURCE_DIR := /usr/src/gcc-4.5/
+patchdir = $(SOURCE_DIR)/patches
+
+include $(SOURCE_DIR)/debian/rules.defs
+include $(SOURCE_DIR)/debian/rules.patch
+include $(SOURCE_DIR)/debian/rules.unpack
+
+patch-source: $(patch_stamp)
+
+clean-source:
+	rm -rf $(stampdir)
+	rm -rf $(gcc_srcdir) $(gdc_srcdir) d
+	rm -rf bin
+	rm -rf $(srcdir)
+
 
 #unpack: unpack-stamp
 #unpack-stamp:

## gcc-avr 4.5.3-3

=== debian/changelog ===
gcc-avr (1:4.5.3-3) unstable; urgency=low

  * Applied patch from peter green <plugwash@p10link.net> that removes
    the --disable-checking configure option (closes: #645822)

 -- Hakan Ardo <hakan@debian.org>  Sun, 20 Nov 2011 10:34:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 3.5.3
-Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.20.1), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, gcc-4.3-source(>=4.3.5), libmpfr-dev
+Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.20.1-2), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, libmpfr-dev, lsb-release, patchutils, gcc-4.5-source, libmpc-dev
 Build-Conflicts: libgcc0, libgcc300
 
 Package: gcc-avr

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
         --enable-long-long \
         --enable-nls \
         --without-included-gettext \
-        --disable-checking \
 	--disable-libssp \
         --build=$(DEB_BUILD_GNU_TYPE) \
         --host=$(DEB_HOST_GNU_TYPE) \

## gcc-avr 4.5.3-4

=== debian/changelog ===
gcc-avr (1:4.5.3-4) unstable; urgency=low

  * Backported patch for gcc bug 50289:
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=50289
  * Backported patch for gcc bug 46779:
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=46779

 -- Hakan Ardo <hakan@debian.org>  Wed, 08 Feb 2012 20:07:10 +0100

## gcc-avr 4.7.0-2

=== debian/changelog ===
gcc-avr (1:4.7.0-2) unstable; urgency=low

  * New upstream release (closes: #674077)
  * Use build scripts from gcc 4.7 (closes: #673568)

 -- Hakan Ardo <hakan@debian.org>  Wed, 23 May 2012 09:36:40 +0200

gcc-avr (1:4.7.0-1) experimental; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Mon, 19 Mar 2012 07:47:46 +0100

=== debian/control ===
Source: gcc-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.5.3
Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.20.1-2), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, libmpfr-dev, lsb-release, patchutils, gcc-4.7-source, libmpc-dev
Build-Conflicts: libgcc0, libgcc300

Package: gcc-avr
Architecture: any
Section: devel
Priority: extra
Conflicts: avr-libc(<=1:1.7.1-2)
Depends: ${shlibs:Depends}, binutils-avr (>= 2.18-4)
Provides: c-compiler-avr
Suggests: task-c-devel, gcc-doc (>= 4:4.0.2-1), gcc-4.2, avr-libc(>=1:1.6.2-2)
Description: The GNU C compiler (cross compiler for avr)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 TAR_DIR=gcc-*
 
-SOURCE_DIR := /usr/src/gcc-4.5/
+SOURCE_DIR := /usr/src/gcc-4.7/
 patchdir = $(SOURCE_DIR)/patches
 
 include $(SOURCE_DIR)/debian/rules.defs
@@ -162,10 +162,7 @@
 	dh_undocumented avr-gccbug.1 avr-gcov.1
 	dh_installchangelogs 
 	dh_link
-	dh_strip -X.so -X.a -X.o
-	for f in `find debian/$(PACKAGE) -name '*.so*'`; do \
-	  avr-strip --remove-section=.comment --remove-section=.note --strip-unneeded $$f; \
-	done
+	dh_strip -X.a -X.o
 	for f in `find debian/$(PACKAGE) -name '*.a*'`; do \
 	  avr-strip --strip-debug $$f; \
 	done

## gcc-avr 4.7.2-2

=== debian/changelog ===
gcc-avr (1:4.7.2-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Add Built-Using for gcc-4.7-source. (closes: #696423)

 -- Hakan Ardo <hakan@debian.org>  Tue, 25 Dec 2012 20:27:57 +0100

gcc-avr (1:4.7.2-1) unstable; urgency=low

  * New upstream release (closes: #693572)

 -- Hakan Ardo <hakan@debian.org>  Tue, 27 Nov 2012 18:27:08 +0100

=== debian/control ===
Source: gcc-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.5.3
Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.20.1-2), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.9, libmpfr-dev, lsb-release, patchutils, gcc-4.7-source (>= 4.7.2-4), libmpc-dev, dpkg (>= 1.16.2)
Build-Conflicts: libgcc0, libgcc300

Package: gcc-avr
Architecture: any
Section: devel
Priority: extra
Conflicts: avr-libc(<=1:1.7.1-2)
Depends: ${shlibs:Depends}, binutils-avr (>= 2.18-4)
Provides: c-compiler-avr
Suggests: task-c-devel, gcc-doc (>= 4:4.0.2-1), gcc-4.2, avr-libc(>=1:1.6.2-2)
Built-Using: ${Built-Using}
Description: The GNU C compiler (cross compiler for avr)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 TAR_DIR=gcc-*
 
 SOURCE_DIR := /usr/src/gcc-4.7/
+BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W gcc-4.7-source)
 patchdir = $(SOURCE_DIR)/patches
 
 include $(SOURCE_DIR)/debian/rules.defs
@@ -172,7 +173,7 @@
 	dh_installdeb
 #	dh_perl
 	dh_shlibdeps
-	dh_gencontrol
+	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"
 	dh_md5sums
 	dh_builddeb

## gcc-avr 4.8-2.1

=== debian/changelog ===
gcc-avr (1:4.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #724374)

 -- Eric Dorland <eric@debian.org>  Sat, 15 Mar 2014 00:53:49 -0400

gcc-avr (1:4.8-2) unstable; urgency=low

  * Updated depenencies (closes: #725770)

 -- Hakan Ardo <hakan@debian.org>  Tue, 08 Oct 2013 19:59:30 +0200

gcc-avr (1:4.8-1) unstable; urgency=low

  * New upstream release (closes: #701280, #684226)

 -- Hakan Ardo <hakan@debian.org>  Sat, 05 Oct 2013 10:35:13 +0200

=== debian/control ===
Source: gcc-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.5.3
Build-Depends: m4, autoconf (>= 2.13), libtool, gawk, bzip2, binutils-avr (>= 2.23.1), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.11, libmpfr-dev, lsb-release, patchutils, gcc-4.8-source, libmpc-dev, dpkg (>= 1.16.2)
Build-Conflicts: libgcc0, libgcc300

Package: gcc-avr
Architecture: any
Section: devel
Priority: extra
Conflicts: avr-libc(<=1:1.7.1-2)
Depends: ${shlibs:Depends}, binutils-avr (>= 2.23.1)
Provides: c-compiler-avr
Suggests: task-c-devel, gcc-doc (>= 4:4.0.2-1), gcc-4.2, avr-libc(>=1:1.8.0-4)
Built-Using: ${Built-Using}
Description: The GNU C compiler (cross compiler for avr)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 TAR_DIR=gcc-*
 
-SOURCE_DIR := /usr/src/gcc-4.7/
+SOURCE_DIR := /usr/src/gcc-4.8/
 BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W gcc-4.7-source)
 patchdir = $(SOURCE_DIR)/patches
